
// MBRRecord
#define PartTableSize      0x10
#define PartTableStart    0x1BE
#define bActiveFlag        0x00
#define lFirstSector       0x08 //offset rel partition table  
#define lNumSectors        0x12 //number of sectors 
// Bootrecord offsets
#define wBytesPerSector    0x0B //->SectorSize
#define bSectorsPerCLuster 0x0D 
#define wReservedSectors   0x0E
#define bNumberOfFats      0x10
#define bMediaDescriptor   0x15
#define wSectorsPerTrack   0x18
#define wNumberOfHeads     0x1A
#define lHiddenSectors     0x1C
#define lTotalSectors      0x20
#define lSectorsPerFat     0x24
#define wExtendedFlags     0x28
#define wVersion           0x2A
#define lRootCluster       0x2C
#define wSytemInfoSector   0x30
#define wBackupBootSector  0x32
#define wSignature        0x1FE 

//directory offets
#define DIR_ENTRY_SIZE     32

#define sFname8            0x00
#define sExt3              0x08
#define bAttibuts          0x0B
#define lCreateTime        0x0E
#define wLastAccess        0x12
#define wFirstClusterHi    0x14
#define lModifiedTime      0x16
#define wFirstClusterLo    0x1A
#define lFileSize          0x1C
 